osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Flex SDK Installer - is it broken?


Delete the folder of extracted files. Then extract the binary package and before running any scripts post the list of files at the top level.

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: 1600061@xxxxxxxxx <1600061@xxxxxxxxx> on behalf of Douglas McCarroll <list.apache-flex.001@xxxxxxxxxxxxxxx>
Sent: Thursday, May 24, 2018 7:39:49 AM
To: Flex-Users (Apache)
Subject: Re: Flex SDK Installer - is it broken?

Hi Piotr & All,

I've downloaded and extracted the apache-flex-sdk-4.16.1-bin.tar.gz file
from the page you specified.

As the page suggests, I've run "ant thirdparty-downloads" in the frameworks
subfolder to install optional dependencies. This runs successfully.

When I run "ant -f installer.xml -Dair.sdk.version=29.0
-Dflash.sdk.version=29.0" in the main folder, I get a message that says
that the folder "is not an Flex binary package".

When I look in installer.xml I find this in the 'install' target:

    <target name="check-binary" description="Make sure this is a binary
package">
        <fail message="${basedir} is not an Flex binary package">
            <condition>
                <not>
                    <available
file="${basedir}/frameworks/libs/framework.swc" />
                </not>
            </condition>
        </fail>

Obviously, it is looking for /frameworks/libs/framework.swc and not finding
it.

When I look in the libs folder the only file I see there is osmf.swc.

Can you tell me what I am doing wrong?

Thanks,

Douglas


On Wed, May 23, 2018 at 2:01 AM, Piotr Zarzycki <piotrzarzycki21@xxxxxxxxx>
wrote:

> Hi Guys,
>
> I have my hands full with other tasks, so not sure when I will find the
> time to look into that. If you would like to download SDK you have also
> other option by using ant.
>
> 1) Download SDK binaries from here [1]
> 2) Run in downloaded folder:
>
> "ant -f installer.xml -Dair.sdk.version=29.0 -Dflash.sdk.version=29.0"
>
> [1] https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fflex.apache.org%2Fdownload-binaries.html&data=02%7C01%7Caharui%40adobe.com%7Ca816db683efd473420ed08d5c2e83dd6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636629225118231214&sdata=CZ2vfsQrAtwj5AaG3VT9cEArODajyAAIElVANnCRbMA%3D&reserved=0
>
> Thanks,
>
> 2018-05-23 1:21 GMT+02:00 lixusnet <jamal.romero@xxxxxxxxx>:
>
> > I am having the same problem. I used install Flex SDK using the installer
> > without any problems. But now it fails. Sometimes I get connection
> timeout.
> > Please helo
> >
> >
> >
> > --
> > Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2F&data=02%7C01%7Caharui%40adobe.com%7Ca816db683efd473420ed08d5c2e83dd6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636629225118231214&sdata=e6LPD05%2B9vNyNBYr4A%2FvII99Kbpq97Bx1E9C2Vyydns%3D&reserved=0
> >
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patreon.com%2Fpiotrzarzycki&data=02%7C01%7Caharui%40adobe.com%7Ca816db683efd473420ed08d5c2e83dd6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636629225118231214&sdata=1nVP0JK2G3sl2QIUBH%2FqYQPYY4syZYRsGi1hRSnzyW0%3D&reserved=0
> <https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patreon.com%2Fpiotrzarzycki&data=02%7C01%7Caharui%40adobe.com%7Ca816db683efd473420ed08d5c2e83dd6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636629225118231214&sdata=1nVP0JK2G3sl2QIUBH%2FqYQPYY4syZYRsGi1hRSnzyW0%3D&reserved=0>*
>